#
# spec file for package dblatex
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           dblatex
Version:        0.3.12
Release:        2.2
Summary:        DocBook to LaTeX Publishing
License:        GPL-2.0-only
Group:          Productivity/Publishing/DocBook
URL:            http://dblatex.sourceforge.net
Source0:        http://downloads.sourceforge.net/%{name}/%{name}3-%{version}.tar.bz2
#PATCH-FIX-OPENSUSE dblatex-0.3.4-disable-debian.patch toganm@opensuse.org -disables debian specific installation parts
# Filed as https://sourceforge.net/p/dblatex/feature-requests/20
Patch0:         dblatex-0.3.4-disable-debian.patch
# PATCH-FEATURE-UPSTREAM dblatex-0.3.11-replace-inkscape-by-rsvg.patch mcepl@suse.com
# From https://src.fedoraproject.org/rpms/dblatex/raw/rawhide/f/dblatex-0.3.11-replace-inkscape-by-rsvg.patch
# Filed as https://sourceforge.net/p/dblatex/feature-requests/21
# Don’t depend on the giant inkscape, but use rather smaller rsvg-convert instead
Patch1:         dblatex-0.3.11-replace-inkscape-by-rsvg.patch
# PATCH-FEATURE-UPSTREAM dblatex-0.3.11-which-shutil.patch mcepl@suse.com
# From https://src.fedoraproject.org/rpms/dblatex/raw/rawhide/f/dblatex-0.3.11-which-shutil.patch
# Filed as https://sourceforge.net/p/dblatex/patches/11
# No need to use complicated internal functions, when shutil.which exists
Patch2:         dblatex-0.3.11-which-shutil.patch
Patch3:         dblatex-replace-imp.patch
BuildRequires:  ImageMagick
BuildRequires:  fdupes
BuildRequires:  grep
BuildRequires:  libxslt-tools
BuildRequires:  python-rpm-macros
BuildRequires:  python3-base
BuildRequires:  python3-setuptools
BuildRequires:  rsvg-convert
BuildRequires:  texlive-epstopdf
BuildRequires:  texlive-latex
BuildRequires:  texlive-makeindex
BuildRequires:  transfig
BuildRequires:  tex(amsmath.sty)
BuildRequires:  tex(amssymb.sty)
BuildRequires:  tex(anysize.sty)
BuildRequires:  tex(appendix.sty)
BuildRequires:  tex(bookmark.sty)
BuildRequires:  tex(changebar.sty)
BuildRequires:  tex(color.sty)
BuildRequires:  tex(colortbl.sty)
BuildRequires:  tex(courier.sty)
BuildRequires:  tex(eucal.sty)
BuildRequires:  tex(fancybox.sty)
BuildRequires:  tex(fancyhdr.sty)
BuildRequires:  tex(fancyvrb.sty)
BuildRequires:  tex(float.sty)
BuildRequires:  tex(footmisc.sty)
BuildRequires:  tex(graphicx.sty)
BuildRequires:  tex(helvet.sty)
BuildRequires:  tex(hhline.sty)
BuildRequires:  tex(hyperref.sty)
BuildRequires:  tex(ifpdf.sty)
BuildRequires:  tex(ifthen.sty)
BuildRequires:  tex(latexsym.sty)
BuildRequires:  tex(listings.sty)
BuildRequires:  tex(longtable.sty)
BuildRequires:  tex(lscape.sty)
BuildRequires:  tex(mathptmx.sty)
BuildRequires:  tex(mathrsfs.sty)
BuildRequires:  tex(multirow.sty)
BuildRequires:  tex(overpic.sty)
BuildRequires:  tex(palatino.sty)
BuildRequires:  tex(pdfpages.sty)
BuildRequires:  tex(pifont.sty)
BuildRequires:  tex(refcount.sty)
BuildRequires:  tex(rotating.sty)
BuildRequires:  tex(stmaryrd.sty)
BuildRequires:  tex(subfigure.sty)
BuildRequires:  tex(tabularx.sty)
BuildRequires:  tex(textcomp.sty)
BuildRequires:  tex(titlesec.sty)
BuildRequires:  tex(wasysym.sty)
Requires:       docbook_4
Requires:       texlive-epstopdf
Requires:       texlive-latex
# grep for \usepackage in dblatex but require only one
# style of a texlive package
# Required by all TeX engines and locales
Requires:       tex(amsmath.sty)
Requires:       tex(amssymb.sty)
Requires:       tex(appendix.sty)
Requires:       tex(bookmark.sty)
Requires:       tex(calc.sty)
Requires:       tex(changebar.sty)
Requires:       tex(color.sty)
Requires:       tex(colortbl.sty)
Requires:       tex(fancyhdr.sty)
Requires:       tex(fancyvrb.sty)
Requires:       tex(float.sty)
Requires:       tex(fontenc.sty)
Requires:       tex(footmisc.sty)
Requires:       tex(graphicx.sty)
Requires:       tex(hhline.sty)
Requires:       tex(hyperref.sty)
Requires:       tex(ifpdf.sty)
Requires:       tex(ifthen.sty)
Requires:       tex(listings.sty)
Requires:       tex(longtable.sty)
Requires:       tex(lscape.sty)
Requires:       tex(multirow.sty)
Requires:       tex(overpic.sty)
Requires:       tex(pdfpages.sty)
Requires:       tex(pifont.sty)
Requires:       tex(refcount.sty)
Requires:       tex(subfigure.sty)
Requires:       tex(tabularx.sty)
Requires:       tex(textcomp.sty)
Requires:       tex(titlesec.sty)
# XeTeX
Recommends:     tex(amstext.sty)
# not XeTeX
Recommends:     tex(courier.sty)
Recommends:     tex(helvet.sty)
Recommends:     tex(mathptmx.sty)
Recommends:     tex(mathrsfs.sty)
# db2latex contrib style
Recommends:     tex(anysize.sty)
Recommends:     tex(fancybox.sty)
Recommends:     tex(palatino.sty)
Recommends:     tex(rotating.sty)
# some extra unicode symbols (runtime detection)
Recommends:     tex(stmaryrd.sty)
Recommends:     tex(wasysym.sty)
# not XeTex and languages [ja,ko,zh]
Recommends:     tex(CJKutf8.sty)
# End of optional dependencies
BuildArch:      noarch

%description
dblatex is a program that transforms your SGML/XMLDocBook documents to DVI,
PostScript or PDF by translating them into pure LaTeX as a first process.
MathML 2.0 markups are supported, too. It started as a clone of DB2LaTeX.

%package doc
Summary:        DocBook to LaTeX Publishing - Documentation
Group:          Documentation/HTML

%description doc
dblatex is a program that transforms your SGML/XMLDocBook documents to DVI,
PostScript or PDF by translating them into pure LaTeX as a first process.
MathML 2.0 markups are supported, too. It started as a clone of DB2LaTeX.

%prep
%autosetup -p1 -n %{name}3-%{version}

# correct doc paths in setup
sed -i 's@share/doc/dblatex@%{_docdir}/dblatex@g' setup.py

# Remove any She-bang lines
sed -i '/#!\/usr\//d' lib/dbtexmf/dblatex/xetex/fsencoder.py \
  lib/dbtexmf/dblatex/xetex/fontspec.py \
  lib/dbtexmf/dblatex/xetex/fsconfig.py

%build
%python3_build

%install
%python3_install
sed -i "s|env python|python|g" %{buildroot}%{_bindir}/dblatex
%fdupes %{buildroot}%{_docdir}
%fdupes %{buildroot}%{_datadir}
%fdupes %{buildroot}%{python3_sitelib}

%files doc
%{_docdir}/dblatex

%files
%{_bindir}/dblatex
%{_datadir}/dblatex
%{python3_sitelib}/*
%{_mandir}/man1/dblatex.1%{?ext_man}

%changelog
* Wed Feb  5 2025 Dominique Leuenberger <dimstar@opensuse.org>
- Fix build against Python 3.13:
  + Add python3-setuptools BuildRequires.
  + Add dblatex-replace-imp.patch: replace imp by importlib.
* Fri Oct  1 2021 Dominique Leuenberger <dimstar@opensuse.org>
- Fix replacement of "env python" to python3 in dblatex' main
  script: upstream moved this already to python3.
* Mon Sep 27 2021 Matej Cepl <mcepl@suse.com>
- Upgrade to 0.3.12 (python3 version):
  - Fix SF bug #118: fix 'nb' and 'nn' locales.
  - Fix SF bug #119: use locale quotes in glossary.
  - Fix SF bug #120: use locale quotes in bibliography.
  - Fix SF bug #123: add 'se' locale.
  - Fix SF bug #124: set default qandaset title markup in english.
- Added also:
  - dblatex-0.3.11-replace-inkscape-by-rsvg.patch (filed as
    https://sourceforge.net/p/dblatex/feature-requests/21)
  - dblatex-0.3.11-which-shutil.patch (filed as
    https://sourceforge.net/p/dblatex/patches/22)
* Sun Aug 16 2020 Dirk Mueller <dmueller@suse.com>
- update to 0.3.11:
  * Fix Debian bug #863527: remove active babel character.
  * Fix Debian bug #866716: make dblatex robust to non-ascii xml:id
  * Fix bug #114: don't skip usefull spaces in hyphenated strings
* Tue Sep 25 2018 Martin Pluskal <mpluskal@suse.com>
- More packaging cleanup
- Further reduce duplicities
- Use modern python macros
- Replace shebang in executable
* Sun Sep  9 2018 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Package cleanup:
  - Fix she-bang in dblatex script
  - Drop python-devel BuildRequires, not generating any bindings.
  - Drop font-collection BuildRequires, use individual requires.
  - Drop BuildRequires for some bundled styles and add some which
    were implicitly required.
  - Drop font-collection Requires, use individual Requires.
  - Downgrade dependencies which are only used with some engines,
    styles or locales from Requires to Recommends.
- Split documentation subpackage from main package
* Sun Nov  5 2017 aavindraa@gmail.com
- Update to version 0.3.10
  + Add the ability to set images for front and back covers
  + Add the ability to pass several configuration files (-c option)
  + drop dependency on the latex package 'multirow'
  + wrong character entities in el.xml
  + put the paragraph title on a separate line
- dropped dblatex-xmultirow.patch (upstreamed)
- includes changes from 0.3.8 and 0.3.9. See:
  https://sourceforge.net/p/dblatex/dblatex/ci/default/tree/docs/changes/changes.txt
* Thu Aug  3 2017 mpluskal@suse.com
- Cleanup spec file with spec cleaner
- Simplify conditionals
- Drop dblatex-rpmlintrc
* Thu Aug  3 2017 sbrabec@suse.com
- Fix texlive-multirow incompatibility (boo#1052102, debian#840189,
  dblatex-xmultirow.patch).
* Sat Apr  2 2016 dmitry_r@opensuse.org
- Update to version 0.3.7
  * Bugfix release
* Sun Jan  4 2015 p.drouand@gmail.com
- Update to version 0.3.5
  + Fix an HTML table bug when no colgroup or col is specified.
  + Fix an HTML table bug when cellpadding is expressed in percentage.
  + Include the package ’ucs’ and configure listings to work with pdftex
    and UTF-8 characters.
  + Improve setup.py to detect the installed texlive version only on
    manual install.
  + Adapt URL to work with texlive >= 2009.
  + Debian bugs fixed: #720624, #684393, #684391, #683166, #682936, and #682901.
  + SF bugs fixed: #108, #107, #106, #104, #103, #98, and some fixes to
    be able work with Saxon.
* Sun Aug 11 2013 toganm@opensuse.org
- Update to version 0.3.4
  * Fix a bug in the missing characters display.
  * Fix the global template to actually insert a backmatter tag
    before backmatter  elements.
  * Fix bug #3520152 by changing a template xpath (looks like a
    libxslt limitation).
  * Improve the verbatim block display to be able to scale the
    block width to the page width.
  * Allow latex instructions within verbatim blocks through
    Processing Instructions.
  * Improve the setup script to be close to the debian install
    rules.
  * Improve the hyphenation of the inlined literal elements.
  * Add the parameter example.float.type to give the possibility to
    have <example> not floating. The attribute 'floatstyle' is also
    taken into account.
  * Add the parameter hyphenation.format to specify the inlined
    format types that must be hyphenated. It replaces the more
    limited  monoseq.hyphenation parameter.
- Packaging
  * added dblatex-0.3.4-disable-debian.patch
* Tue Jul 10 2012 werner@suse.de
- Make it build with latest TeXLive 2012 with new package layout
* Thu Apr 26 2012 toganm@opensuse.org
- Update to version 0.3.3
  * Fix incomplete image path conversion when subfigures are used.
  * Fix unicode listings limitation to handle characters greater than
    255.
  * Fix <abstract> environment to prevent from page counter reset.
  * Fix the <literallayout> limitations by using the same
    implementation than <screen>.
  * Fix a texlive 9 french babel and enumitem incompatibility.
  * Fix to be robust to URL encoded image paths, and to non-latin1
    paths.
  * Fix missing cross-reference to <sidebar> and <qandaset>.
  * Fix the <sidebar> box width to the actual context witdh.
  * Fix a french babel bug (unexpected active chars) when used with
    XeTeX.
  * Fix Debian bug #627501 to tell the priority policy of --xsl-user
    option.
  * Fix Debian bug #632967 to return a non-null code when the
    compilation fails.
  * Fix Debian bug #629514 to have draft watermark with XeTeX
    backend.
  * Fix Debian bug #634563 to have safe pdftitle content (no images).
  * Fix setup.py in order to work under Windows.
  * Fix the HTML table support to correctly render the cells
    elements.
  * Fix the HTML table support to correctly nested tables.
  * Fix the Olink support to allow database user-specific renderings
    like italics for <i> tags. Reuse of the DocBook Project implementation.
  * Fix a setup failure that made the listings UTF-8 support failed
    (extendedchars to set to "true").
  * Fix --xslt-opts to be able to pass several arguments by using
    quotes
  * Set the TexLive version to 2009 by default.
  * Update to new Debian Error Handler API.
  Improvements sponsored by Freexian (http://www.freexian.com) :
  * Remove hard-coded paper size and add some parameters for page
    layout setup:
    + Parameters to define page sizes and margins.
    + Parameters to have crop marks for pre-press PDF output.
  * Add the parameters literal.environment and literal.extensions to
    allow the user define its own listing environment.
  * Add the parameter latex.engine.options to be able to pass options
    to the TeX engine backend.
  * Print out warnings about the characters not handled by the
    selected fonts.
  * Image display improvements/fixes:
    + Avoid unexpected paragraph indentation when displaying images.
    + Strip spurious spaces between subfigures when
    + @role='flow.inline'
    + Prevents from empty tex subcaptions when no subfigure
    <caption> is defined.
  * Add the ability to format <ulink> as a block when @type='block'.
  * Pass @role to the latex sidebar environment.
  * Add the literal.class parameter used when <literallayout> class
    attribute is not set. Default is 'monospaced'.
  * Add some @role to format literal elements, and literal.role
    parameter for default role:
    + Wrap: wrap lines when longer than text width (default)
    + Overflow: do not wrap lines ; long lines overflow to the left
    + Scale: automatically scale a listing to have its lines fit the
    page width. The special feature can be disabled with
    literal.extensions=0
* Wed Mar 28 2012 toganm@opensuse.org
- Update to version 0.3.2:
  * Add feature request #2052157 to have HTML table support
  * Full support of the --quiet option
  * Improve setup.py to make package building easier in a
    development environment
  * Improve the document title formatting, to render <superscript>
    for example.
  * Fix debian bug #629110 to work around an appendix package
    limitation with xetex
  * Fix bug #3094120 to work in paranoid mode (required for
    TexLive 2010)
  * Fix debian bug #623590 to format elements like <emphasis>
    contained in <filename>.
  * Fix a bug that prevented from putting and index at the highest
    level when preceded by a <part>.
- Removed dblatex-setup.patch and used sed instead to change doc
  directory
* Tue Jan 10 2012 coolo@suse.com
- GPL seems to be 2.0 only
* Sun Sep 18 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
  (cf. packaging guidelines)
* Fri Aug 12 2011 toms@suse.de
- Merged spec file with Publishing
- Added sed call to remove shebang lines in *.py files
* Sat Jun  5 2010 bernhard@bwalle.de
  Updated to version 0.3:
  * Upgrade to recent Debian scripts (error handlers).
  * Improve the table rendering by adding a table-width Processing
    Instruction.
  * Add the parameters:
  - default.table.width.
  - biblioentry.numbered.
  * A number of bug fixes.
* Sun Aug  9 2009 coolo@novell.com
- use new python macros
* Wed Sep 24 2008 ro@suse.de
- drop noarch (not for a python package)
* Wed Jan 23 2008 toms@suse.de
- Updated to version 0.2.7
  * The XRef implementation is competely refactored to work with
  the common DocBook Project stylesheets version 1.72. The goal is
  to support the DocBook Project xreftyle and olink capabilities.
  In normal use, the changes should be transparent.
  * Dblatex accepts input data from standard input. Therefore, the
  result of some pre-processing (like profiling) can be piped to
  dblatex.
  * Several user stylesheets (option -p) can be passed. Note that
  each stylesheet is imported (not included) which have significant
  impact on precedence or overriding behaviour.
  * Other minor improvements and a number of bug fixes.
- Updated to version 0.2.6
  * It is possible to number and/or put the preface, dedication,
  and colophon sections in the TOC and bookmarks.</para>
  * Add a draft watermark when the document is in draft mode.
  Moreover, the draft mode can be deduced from the document status
  attribute.
  * Some other minor improvements and bug fixes.
* Sat Sep  1 2007 toms@suse.de
- First initial release 0.2.5
